Skip to main content
GET
/
api
/
knowledge-features
/
{id}
Get KnowledgeFeature by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/knowledge-features/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/knowledge-features/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/knowledge-features/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "active": true,
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "extendedProperties": "<unknown>",
  "featureType": {
    "active": true,
    "changeSequence": 123,
    "color": "<string>",
    "createdOn": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "extendedOptions": "<unknown>",
    "icon": "<string>",
    "id": "<string>",
    "labelJsonPath": "<string>",
    "name": "<string>",
    "options": "<unknown>",
    "organization": {
      "archived": true,
      "authGroupLink": {
        "authGroup": "<string>"
      },
      "changeSequence": 123,
      "createdOn": "2023-11-07T05:31:56Z",
      "defaultToPrivateTemplates": true,
      "description": "Document processing organization for Acme Corp.",
      "enterpriseOrganization": true,
      "features": {},
      "hasImage": true,
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "memory": {
        "orderedDashboards": [
          "<string>"
        ]
      },
      "name": "Acme Corp",
      "organizationStatus": "ACTIVE",
      "properties": {},
      "publicAccess": true,
      "searchText": "<string>",
      "slug": "acme-corp",
      "stripeCustomerId": "<string>",
      "supportAccess": true,
      "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
      "updatedOn": "2023-11-07T05:31:56Z",
      "uuid": "550e8400e29b41d4a716446655440000"
    },
    "organizationId": "<string>",
    "slug": "<string>",
    "updatedOn": "2023-11-07T05:31:56Z",
    "useJSONata": true,
    "uuid": "<string>"
  },
  "featureTypeId": "<string>",
  "id": "<string>",
  "organization": {
    "archived": true,
    "authGroupLink": {
      "authGroup": "<string>"
    },
    "changeSequence": 123,
    "createdOn": "2023-11-07T05:31:56Z",
    "defaultToPrivateTemplates": true,
    "description": "Document processing organization for Acme Corp.",
    "enterpriseOrganization": true,
    "features": {},
    "hasImage": true,
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "memory": {
      "orderedDashboards": [
        "<string>"
      ]
    },
    "name": "Acme Corp",
    "organizationStatus": "ACTIVE",
    "properties": {},
    "publicAccess": true,
    "searchText": "<string>",
    "slug": "acme-corp",
    "stripeCustomerId": "<string>",
    "supportAccess": true,
    "supportAccessExpiresAt": "2023-11-07T05:31:56Z",
    "updatedOn": "2023-11-07T05:31:56Z",
    "uuid": "550e8400e29b41d4a716446655440000"
  },
  "organizationId": "<string>",
  "properties": "<unknown>",
  "slug": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The KnowledgeFeature

A knowledge feature represents a specific data point within a knowledge item.

active
boolean
changeSequence
integer<int32>
createdOn
string<date-time>
extendedProperties
any
featureType
object | null

A knowledge feature type defines the kind of data a knowledge feature can hold.

featureTypeId
string | null
id
string
organization
object | null

An organization is the top-level tenant in Kodexa. All projects, stores, and resources belong to an organization.

organizationId
string | null
properties
any
slug
string
updatedOn
string<date-time>
uuid
string